Package org.apache.commons.beanutils

# Class ConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.beanutils.ConversionException

All Implemented Interfaces:
  `Serializable`

public class ConversionException extends RuntimeException

A ConversionException indicates that a call to `Converter.convert()` has failed to complete successfully.

Since:
  1.3
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Throwable`
  `cause`
  Deprecated.
  Use `Throwable.getCause()`}.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConversionException(String message)`
  Constructs a new exception with the specified message.
  `ConversionException(String message, Throwable cause)`
  Constructs a new exception with the specified message and root cause.
  `ConversionException(Throwable cause)`
  Constructs a new exception with the specified root cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cause

    @Deprecated protected Throwable cause
    Deprecated.
    Use `Throwable.getCause()`}.
    The cause, deprecated.

- ## Constructor Details

  - ### ConversionException

    public ConversionException(String message)
    Constructs a new exception with the specified message.
    Parameters:
      `message` - The message describing this exception

  - ### ConversionException

    public ConversionException(String message, Throwable cause)
    Constructs a new exception with the specified message and root cause.
    Parameters:
      `message` - The message describing this exception
      `cause` - The root cause of this exception

  - ### ConversionException

    public ConversionException(Throwable cause)
    Constructs a new exception with the specified root cause.
    Parameters:
      `cause` - The root cause of this exception